View Issue Details

IDProjectCategoryView StatusLast Update
16125Bug reportsSurvey takingpublic2020-06-30 21:32
Reporterasshank Assigned ToDenisChenu  
PrioritynoneSeveritytrivial 
Status closedResolutionfixed 
Product Version3.x 
Fixed in Version3.22.19 
Summary16125: Timer bug in qanda_helper.php list_dropdown
Description

Timer not rendered in question type: list_dropdown

Please check /application/helpers/qanda_helper.php

In 3.x and 4!
Bug:
//Time Limit Code
if (trim($aQuestionAttributes['time_limit']) != '') {
return_timer_script($aQuestionAttributes, $ia);
}
//End Time Limit Code

Should be:
//Time Limit Code
if (trim($aQuestionAttributes['time_limit']) != '') {
$answer .= return_timer_script($aQuestionAttributes, $ia);
}
//End Time Limit Code

TagsNo tags attached.
Complete LimeSurvey version number (& build)
I will donate to the project if issue is resolved
Browser
Database & DB-Version
Server OS (if known)
Webserver software & version (if known)
PHP Version

Activities

DenisChenu

DenisChenu

2020-04-13 09:43

developer   ~57089

Can add export a lss file showing the issue ?

asshank

asshank

2020-04-13 10:54

reporter   ~57093

Hi Denis,

There it is... The timer for the answer is simply not appended! So there is no timer there!

asshank

asshank

2020-06-09 19:05

reporter   ~58230

It's a very easy bug to fix IMHO, or is this timer-procedure obsolete?
This because yersterday https://bugs.limesurvey.org/view.php?id=16210 had been fixed. I don't know if this was a related problem with this bug!

DenisChenu

DenisChenu

2020-06-10 08:12

developer   ~58231

Not related,

The other one : have a pull request : https://github.com/LimeSurvey/LimeSurvey/pull/1431

asshank

asshank

2020-06-10 08:34

reporter   ~58232

Done: https://github.com/LimeSurvey/LimeSurvey/pull/1432

DenisChenu

DenisChenu

2020-06-10 08:53

developer   ~58234

Thanks :) :+1:

asshank

asshank

2020-06-30 21:32

reporter   ~58600

Solved

Issue History

Date Modified Username Field Change
2020-04-10 20:38 asshank New Issue
2020-04-13 09:43 DenisChenu Note Added: 57089
2020-04-13 10:54 asshank File Added: limesurvey_survey_956264.lss
2020-04-13 10:54 asshank Note Added: 57093
2020-05-07 11:56 ollehar Project Development => Bug reports
2020-06-09 19:05 asshank Note Added: 58230
2020-06-10 08:12 DenisChenu Note Added: 58231
2020-06-10 08:34 asshank Note Added: 58232
2020-06-10 08:53 DenisChenu Assigned To => DenisChenu
2020-06-10 08:53 DenisChenu Status new => resolved
2020-06-10 08:53 DenisChenu Resolution open => fixed
2020-06-10 08:53 DenisChenu Fixed in Version => 3.22.19
2020-06-10 08:53 DenisChenu Note Added: 58234
2020-06-30 21:32 asshank Status resolved => closed
2020-06-30 21:32 asshank Note Added: 58600